import create from 'zustand'
import { Vector3 } from 'three'
interface MyStore {
  choose : any | undefined;
  search : string;
  count : number;
  names : string[];
  focus : Vector3,
  setChoose: (data: any) => void;
}

const useStore = create<MyStore>((set) => ({
  choose : undefined,
  search : "",
  count : 0,
  names : [], 
  focus : new Vector3(-100, 0, 0), 
  setChoose : (data: any ) => set((state) => ({
    choose: data,
  }))  
}))

export default useStore